Loading...
Searching...
No Matches
Opm::Action::Condition Class Reference

## Public Member Functions

| Condition (const RestartIO::RstAction::Condition &rst_condition)
| Condition (const std::vector< std::string > &tokens, const KeywordLocation &location)
int | logic_as_int () const
int | comparator_as_int () const
int | paren_as_int () const
bool | open_paren () const
bool | close_paren () const
bool | operator== (const Condition &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Logical | logic_from_int (int)

## Public Attributes

Quantity | lhs
Quantity | rhs
Logical | logic = Logical::END
Comparator | cmp = Comparator::INVALID
bool | left_paren = false
bool | right_paren = false
std::string | cmp_string

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Action/Condition.hpp
- opm/input/eclipse/Schedule/Action/Condition.cpp